use utils::number::Number;

fn main() {
    let fib_idx = find_fib(1000);
    println!("{fib_idx}");
}

fn find_fib(num_digits: usize) -> usize {
    let mut n = 1;
    loop {
        let fib = Number::fib(n);
        let fib_len = fib.digits.len();
        if fib_len == num_digits {
            return n as usize;
        }
        n += 1;
    }
}
