use utils::permutation::nth_lex;

fn main() {
    let n = 1_000_000;
    let digits = vec![1, 0, 2, 3, 4, 5, 6, 7, 8, 9];
    let perm = nth_lex(digits, n)
        .expect("Should return ok")
        .iter()
        .map(|&digit| digit.to_string())
        .collect::<Vec<String>>()
        .join("");
    println!("{perm}");
    let digits = vec!["0", "1", "2", "3", "4", "5", "6", "7", "8", "9"];
    //for n in 1..=factorial(digits.len()) {
    let perm = nth_lex(digits.clone(), n)
        .expect("Should return ok")
        .join("");
    println!("{perm}");
    //}
    let digits = vec!["a", "b", "c", "d", "e", "f", "g", "h", "i", "j"];
    let perm = nth_lex(digits.clone(), n)
        .expect("Should return ok")
        .join("");
    println!("{perm}");
}
